Bug 156018 - (TB6b0acea6) Config crashes after saving new config
Config crashes after saving new config
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: 87718
  Show dependency treegraph
 
Reported: 2005-04-26 13:21 EDT by John Doe
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-15 12:24:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Doe 2005-04-26 13:21:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8a6) Gecko/20050111

Description of problem:
On saving, after making changes to network properties, the program crashes.

Version-Release number of selected component (if applicable):
system-config-network-1.3.22-1

How reproducible:
Always

Steps to Reproduce:
1.Change any variable.
2. Hit file > save
3. Bug report generated
  

Actual Results:  Bug report tool popped up with a load of text

Expected Results:  It should have saved the new configuration to file, and allowed me to do what i wanted to next.  Instead i have to start a new instance.

Additional info:

Component: system-config-network
Version: 1.3.22
Summary: TB6b0acea6 sre.py:230:_compile:error: multiple repeat
Traceback (most recent call last):
  File "/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 794, in on_applyButton_clicked
  File "/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 371, in save
  File "/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line 403, in saveProfiles
  File "/usr/src/build/473077-noarch/install/usr/share/system-config-network/netconfpkg/NCProfileList.py", line 376, in save
  File "/usr/lib/python2.3/site-packages/rhpl/Conf.py", line 574, in __setitem__
    while self.findnextline('^\S*' + '[' + \
  File "/usr/lib/python2.3/site-packages/rhpl/Conf.py", line 199, in findnextline
    elif re.search(regexp, self.lines[self.line]):
  File "/usr/lib/python2.3/sre.py", line 137, in search
    return _compile(pattern, flags).search(string)
  File "/usr/lib/python2.3/sre.py", line 230, in _compile
    raise error, v # invalid expression
error: multiple repeat

Local variables in innermost frame:
cachekey: (<type 'str'>, '^\\S*[\t ]+*.fastclick.net', 0)
pattern: ^\S*[	 ]+*.fastclick.net
p: None
flags: 0
key: ('^\\S*[\t ]+*.fastclick.net', 0)
v: multiple repeat
Comment 1 Matthew Miller 2006-07-10 18:05:53 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 John Doe 2006-07-15 12:27:54 EDT
Bug only presents if a * (wildcard) is found in /etc/hosts.

After a lot of messing about and rediscovering the bug on Fedoras 4 and 5, i
discovered if i removed the wildcard entries */ the bug disappeared.

Whether it is possible to patch the program to come up with a response along the
lines of character x was found in /etc/hosts and is not allowed, is unknown, but
due to the fact it isnt the most serious bug ever i'd say not to bother.

Thanks all

Note You need to log in before you can comment on or make changes to this bug.